exports.config = {
  "status":true,
  "model":{
    "title-en":"Tenjiku Shogi",
    "summary":"Historic Japanese Chess",
    "rules":{"en":"res/rules/shogi/tenjiku-rules.html"},
    "module":"chessbase",
    "plazza":"true",
    "thumbnail":"tenjiku-thumb.png",
    "released":1396536978,
    "credits":{"en":"tenjiku-credits.html"},
    "gameOptions":{
      "preventRepeat":true,
      "uctTransposition":"state",
      "uctIgnoreLoop":false,
      "levelOptions":{
        "pieceValueFactor":1,
        "pieceValueRatioFactor":1,
        "posValueFactor":0.1,
        "averageDistKingFactor":-0.01,
        "castleFactor":0.1,
        "checkFactor":5,
        "endingKingFreedomFactor":0.01,
        "endingDistKingFactor":0.05,
        "distKingCornerFactor":0.1
      }
    },
    "js":[
      "base-model.js",
      "grid-geo-model.js",
      "tenjiku-model.js"
    ],
    "description":{"en":"tenjiku-description.html"},
    "levels":[
      {
        "name":"easy",
        "label":"Easy",
        "ai":"uct",
        "playoutDepth":0,
        "minVisitsExpand":1,
        "c":0.6,
        "ignoreLeaf":false,
        "uncertaintyFactor":3,
        "maxNodes":6000
      },
      {"name":"fast","label":"Fast [3sec]","ai":"uct","playoutDepth":0,"minVisitsExpand":1,"c":0.6,"ignoreLeaf":false,"uncertaintyFactor":3,"maxDuration":3,"isDefault":true},
      {"name":"medium","label":"Medium","ai":"uct","playoutDepth":0,"minVisitsExpand":1,"c":0.6,"ignoreLeaf":false,"uncertaintyFactor":3,"maxNodes":100000,"maxDuration":30},
      {"name":"strong","label":"Strong","ai":"uct","playoutDepth":0,"minVisitsExpand":1,"c":0.6,"ignoreLeaf":false,"uncertaintyFactor":3,"maxNodes":300000,"maxDuration":90},

      {"name":"hyper","label":"10 min","ai":"uct","playoutDepth":0,"minVisitsExpand":1,"c":0.6,"ignoreLeaf":false,"uncertaintyFactor":3,"maxNodes":2000000,"maxDuration":600},

      {"name":"correspondence","label":"20 min","ai":"uct","playoutDepth":0,"minVisitsExpand":1,"c":0.6,"ignoreLeaf":false,"uncertaintyFactor":3,"maxNodes":5000000,"maxDuration":1200}
    ]
  },
  "view":{
    "title-en":"Chessbase view",
    "visuals":{
      "600x600":[
        "res/visuals/tenjiku-600x600-3d.jpg",
        "res/visuals/tenjiku-600x600-2d.jpg"
      ]
    },
    "xdView":true,
    "css":["chessbase.css"],
    "preferredRatio":1,
    "useShowMoves":true,
    "useNotation":true,
    "module":"chessbase",
    "defaultOptions":{
      "sounds":true,
      "moves":true,
      "notation":false,
      "autocomplete":false
    },
    "skins":[
    /*  {
        "name":"skin3d",
        "title":"3D Classic",
        "3d":true,
        "preload":["smoothedfilegeo|0|/res/ring-target.js","image|/res/images/cancel.png","image|/res/images/wikipedia.png"],
        "world":{
          "lightIntensity":1.3,
          "skyLightIntensity":1.2,
          "lightCastShadow":true,
          "fog":false,
          "color":4686804,
          "lightPosition":{"x":-9,"y":9,"z":9},
          "skyLightPosition":{"x":9,"y":9,"z":9},
          "lightShadowDarkness":0.55,
          "ambientLightColor":2236962
        },
        "camera":{
          "fov":45,
          "distMax":50,
          "radius":18,
          "elevationAngle":60,
          "elevationMin":0
        }
      },*/
      {
        "name":"skin2d",
        "title":"2D Classic",
        "3d":false,
        "preload":["image|/res/images/cancel.png","image|/res/images/whitebg.png","image|/res/images/wikipedia.png"]
      }
    ],
    "animateSelfMoves":false,
    "switchable":true,
    "sounds":{
      "move1":"alq_move1",
      "move2":"alq_move2",
      "move3":"alq_move3",
      "move4":"alq_move2",
      "tac1":"alq_tac1",
      "tac2":"alq_tac2",
      "tac3":"alq_tac1",
      "promo":"promo",
      "usermove":null
    },
    "js":[
      "base-view.js",
      "fairy-set-view.js",
      "tenjiku-view.js"
    ],
    "useAutoComplete":true
  }
}
